# Uses of Class
org.apache.lucene.internal.hppc.CharObjectHashMap

Packages that use CharObjectHashMap
Package
Description
org.apache.lucene.internal.hppc
Internal copy of a subset of classes from the HPPC library.

## Uses of CharObjectHashMap in org.apache.lucene.internal.hppc

Methods in org.apache.lucene.internal.hppc that return CharObjectHashMap
Modifier and Type
Method
Description
`CharObjectHashMap<VType>`
CharObjectHashMap.`clone()`
`static <VType> CharObjectHashMap<VType>`
CharObjectHashMap.`from(char[] keys, VType[] values)`
Creates a hash map from two index-aligned arrays of key-value pairs.
Methods in org.apache.lucene.internal.hppc with parameters of type CharObjectHashMap
Modifier and Type
Method
Description
`protected boolean`
CharObjectHashMap.`equalElements(CharObjectHashMap<?> other)`
Return true if all keys of some other container exist in this container.
Constructors in org.apache.lucene.internal.hppc with parameters of type CharObjectHashMap
Modifier
Constructor
Description
``
`CharObjectHashMap(CharObjectHashMap<VType> map)`
Create a hash map from all key-value pairs of another map.